felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Cristiano GaviĆ£o <cvgav...@gmail.com>
Subject Can't embed javax.inject with Bundle Plugin for Maven
Date Mon, 16 May 2011 19:42:27 GMT
Hi people,

I've created a bundle with Bundle Plugin for Maven that wrap one 
specific JAR that I need to port to OSGi. That jar has javax.inject and 
others jars as transitive dependencies of it.

I've used this to setup maven-bundle-plugin:
> <Embed-Transitive>true</Embed-Transitive>
> <Embed-Dependency>javax.inject;scope=compile;inline=false, <other 
> jars></Embed-Dependency>

So, all others jars is being embedded nicely, except javax.inject. Below 
is the message:
> [INFO] --- maven-bundle-plugin:2.3.4:bundle (default-bundle) @ 
> myrss-osgi-services ---
> [WARNING] Embed-Dependency: clause 
> "javax.inject;scope=compile;inline=false" did not match any dependencies

The only difference that I could see on javax.inject in relation to 
other jars is that it is optional on my main jar.
> <dependency>
> <groupId>javax.inject</groupId>
> <artifactId>javax.inject</artifactId>
> <version>1</version>
> <optional>true</optional>
> </dependency>
> <dependency>
> <groupId>com.thoughtworks.xstream</groupId>
> <artifactId>xstream</artifactId>
> <version>1.3.1</version>
> </dependency>
Am I missing something?

thanks for any tip...

Cristiano

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
For additional commands, e-mail: users-help@felix.apache.org


Mime
View raw message